package odbojka_reljadjenadic.relja348;

import java.util.Arrays;
import java.util.Scanner;

public class Odbojka_ReljaDjenadicRelja348 {

    public static void main(String[] args) {
        Scanner in = new Scanner(System.in);
        long n = in.nextInt(), a = in.nextInt();
        if (n<=2||a<=2||n>=1000000000||a>=1000000000) {
            System.out.println("-1");
        }else{
        
        if((n==a)||(n-1==a)||(n==a-1)||(3*a > n)){
            System.out.println("-1");
        }else{
            long[][] rezultati = new long[3][2];  //pravim matricu sa minimalnim mogucim pobedjenim setova
            for (int i = 0; i < 3; i++) {
                rezultati[i][0] = a;            //punim pobednicka mesta sa rezultatima(A)
            }
            if ( ( n % (3*a) ) != 0 ) {
                rezultati[0][1] = rezultati[0][0] - 2; //dodajem gubitniku najvisi moguci rezultat
                long ostatak = n - (3*a) - rezultati[0][1]; //racunam ostatak bodova
                if(ostatak % 2 == 0){
                    rezultati[0][0] += ostatak / 2; //dodajem pobedniku pola ostatka
                    rezultati[0][1] += ostatak / 2; //dodajem gubitniku pola ostatka
                }else{
                    rezultati[0][0] += ostatak / 2; //dodajem pobedniku pola ostatka
                    rezultati[0][1] += ostatak / 2; //dodajem gubitniku pola ostatka
                    rezultati[1][0] += 1;   //dodajem gubitniku u sledecem setu 1 bod (jer je ostatak bio neparan)
                }
                
            }else{
                if(n / (3*a) > 1){
                    long nCopy;
                    if ((n / (a*6)) == 1) {
                        nCopy = (((n / a) / 3) - 1);    
                    }else{
                        nCopy = ((n / a) / 3);
                    }
                    for (int i = 0; i < nCopy - 1; i++) {
                        for (int j = 0; j < 3; j++) {
                            rezultati[j][0] += a;
                        }
                    }
                }
            }
            
            System.out.print(Arrays.deepToString(rezultati));
        }
        
        
    }
    }
    
}